Home
Docs
GitHub
Pricing
Blog
Log In

Run Sandworm Audit for your App

Get started
Hold on, we're currently generating a fresh version of this report
Generated on Apr 9, 2024 via pnpm

@nrwl/eslint-plugin-nx 16.8.0

The eslint-plugin-nx package is an ESLint plugin that contains a collection of recommended ESLint rule configurations which you can extend from in your own ESLint configs, as well as an Nx-specific lint rule called enforce-module-boundaries.
Package summary
Share
4
issues
3
high severity
license
1
meta
2
1
low severity
license
1
9
licenses
363
MIT
35
ISC
16
BSD-2-Clause
23
other licenses
Apache-2.0
11
BSD-3-Clause
7
0BSD
2
Python-2.0
1
+ 2 more
Package created
14 Aug 2019
Version published
6 Sep 2023
Maintainers
6
Total deps
437
Direct deps
1
License
MIT

Issues

4

3 high severity issues

high
Recommendation: Read and validate the license terms
via: @nx/eslint-plugin@16.8.0
via: @nx/eslint-plugin@16.8.0
via: @nx/eslint-plugin@16.8.0
Collapse
Expand

1 low severity issue

low
Recommendation: Read and validate the license terms
via: @nx/eslint-plugin@16.8.0
Collapse
Expand

Licenses

MIT License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
sublicense
private-use
Cannot
hold-liable
Must
include-copyright
include-license
363 Packages, Including:
@aashutoshrathi/word-wrap@1.2.6
@babel/code-frame@7.24.2
@babel/compat-data@7.24.4
@babel/core@7.24.4
@babel/generator@7.24.4
@babel/helper-annotate-as-pure@7.22.5
@babel/helper-builder-binary-assignment-operator-visitor@7.22.15
@babel/helper-compilation-targets@7.23.6
@babel/helper-create-class-features-plugin@7.24.4
@babel/helper-create-regexp-features-plugin@7.22.15
@babel/helper-define-polyfill-provider@0.6.1
@babel/helper-environment-visitor@7.22.20
@babel/helper-function-name@7.23.0
@babel/helper-hoist-variables@7.22.5
@babel/helper-member-expression-to-functions@7.23.0
@babel/helper-module-imports@7.24.3
@babel/helper-module-transforms@7.23.3
@babel/helper-optimise-call-expression@7.22.5
@babel/helper-plugin-utils@7.24.0
@babel/helper-remap-async-to-generator@7.22.20
@babel/helper-replace-supers@7.24.1
@babel/helper-simple-access@7.22.5
@babel/helper-skip-transparent-expression-wrappers@7.22.5
@babel/helper-split-export-declaration@7.22.6
@babel/helper-string-parser@7.24.1
@babel/helper-validator-identifier@7.22.20
@babel/helper-validator-option@7.23.5
@babel/helper-wrap-function@7.22.20
@babel/helpers@7.24.4
@babel/highlight@7.24.2
@babel/parser@7.24.4
@babel/plugin-bugfix-firefox-class-in-computed-class-key@7.24.4
@babel/plugin-bugfix-safari-id-destructuring-collision-in-function-expression@7.24.1
@babel/plugin-bugfix-v8-spread-parameters-in-optional-chaining@7.24.1
@babel/plugin-bugfix-v8-static-class-fields-redefine-readonly@7.24.1
@babel/plugin-proposal-class-properties@7.18.6
@babel/plugin-proposal-decorators@7.24.1
@babel/plugin-proposal-private-property-in-object@7.21.0-placeholder-for-preset-env.2
@babel/plugin-syntax-async-generators@7.8.4
@babel/plugin-syntax-class-properties@7.12.13
@babel/plugin-syntax-class-static-block@7.14.5
@babel/plugin-syntax-decorators@7.24.1
@babel/plugin-syntax-dynamic-import@7.8.3
@babel/plugin-syntax-export-namespace-from@7.8.3
@babel/plugin-syntax-import-assertions@7.24.1
@babel/plugin-syntax-import-attributes@7.24.1
@babel/plugin-syntax-import-meta@7.10.4
@babel/plugin-syntax-json-strings@7.8.3
@babel/plugin-syntax-jsx@7.24.1
@babel/plugin-syntax-logical-assignment-operators@7.10.4

ISC License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
Cannot
hold-liable
Must
include-copyright
include-license
35 Packages, Including:
@ungap/structured-clone@1.2.0
cliui@7.0.4
cliui@8.0.1
electron-to-chromium@1.4.731
fastq@1.17.1
flatted@3.3.1
fs.realpath@1.0.0
get-caller-file@2.0.5
glob-parent@5.1.2
glob-parent@6.0.2
glob@7.1.4
glob@7.2.3
graceful-fs@4.2.11
inflight@1.0.6
inherits@2.0.4
isexe@2.0.0
lru-cache@5.1.1
lru-cache@6.0.0
make-error@1.3.6
minimatch@3.0.5
minimatch@3.1.2
minimatch@5.1.6
once@1.4.0
picocolors@1.0.0
rimraf@3.0.2
semver@6.3.1
semver@7.5.3
signal-exit@3.0.7
which@2.0.2
wrappy@1.0.2
y18n@5.0.8
yallist@3.1.1
yallist@4.0.0
yaml@1.10.2
yargs-parser@21.1.1

BSD 2-Clause "Simplified" License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
place-warranty
Cannot
hold-liable
Must
include-copyright
include-license
16 Packages, Including:
@typescript-eslint/parser@5.62.0
@typescript-eslint/typescript-estree@5.62.0
@yarnpkg/lockfile@1.1.0
@yarnpkg/parsers@3.0.0-rc.46
dotenv-expand@10.0.0
dotenv@16.3.2
eslint-scope@5.1.1
eslint-scope@7.2.2
espree@9.6.1
esprima@4.0.1
esrecurse@4.3.0
estraverse@4.3.0
estraverse@5.3.0
esutils@2.0.3
regjsparser@0.9.1
uri-js@4.4.1

Apache License 2.0

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
sublicense
private-use
use-patent-claims
place-warranty
Cannot
hold-liable
use-trademark
Must
include-copyright
include-license
state-changes
include-notice
11 Packages, Including:
@ampproject/remapping@2.3.0
@humanwhocodes/config-array@0.11.14
@humanwhocodes/module-importer@1.0.1
doctrine@3.0.0
ejs@3.1.9
eslint-visitor-keys@3.4.3
filelist@1.0.4
jake@10.8.7
rxjs@7.8.1
strong-log-transformer@2.1.0
typescript@5.4.4

BSD 3-Clause "New" or "Revised" License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
place-warranty
Cannot
use-trademark
hold-liable
Must
include-copyright
include-license
7 Packages, Including:
@humanwhocodes/object-schema@2.0.3
diff@4.0.2
esquery@1.5.0
flat@5.0.2
ieee754@1.2.1
source-map@0.6.1
sprintf-js@1.0.3

BSD Zero Clause License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
sublicense
private-use
include-copyright
include-license
include-original
Cannot
hold-liable
Must
2 Packages, Including:
tslib@1.14.1
tslib@2.6.2

Python License 2.0

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
Cannot
use-trademark
hold-liable
Must
include-copyright
include-license
state-changes
1 Packages, Including:
argparse@2.0.1

Creative Commons Attribution 4.0 International

Uncategorized
Not OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
Cannot
Must
1 Packages, Including:
caniuse-lite@1.0.30001607

(MIT OR CC0-1.0)

Public Domain
1 Packages, Including:
type-fest@0.20.2
Disclaimer

This deed highlights only some of the key features and terms of the actual license. It is not a license and has no legal value. You should carefully review all of the terms and conditions of the actual license before using the licensed material.

Sandworm is not a law firm and does not provide legal services. Distributing, displaying, or linking to this deed or the license that it summarizes does not create a lawyer-client or any other relationship.

Direct Dependencies

1
All Dependencies CSV
β“˜ This is a list of @nrwl/eslint-plugin-nx 's direct dependencies. Data on all dependencies, including transitive ones, is available via CSV download.
NameVersionSizeLicenseTypeVulnerabilities
@nx/eslint-plugin16.8.030.54 kBMIT
prod
3
1

Visualizations